com.genesyslab.wfm8.API.service.config851

## Class CfgAgentContract

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgAgentContract

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentContract
      extends java.lang.Object
      implements java.io.Serializable

  Agent-Contract association
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmContractId` Contract ID (`CfgContract`).
    `protected double` | `wmEffectiveDate` Contract effective date (`OleDateTime`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentContract()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmContractId()` Gets the value of the wmContractId property.
    `double` | `getWmEffectiveDate()` Gets the value of the wmEffectiveDate property.
    `int` | `hashCode()`
    `void` | `setWmContractId(int value)` Sets the value of the wmContractId property.
    `void` | `setWmEffectiveDate(double value)` Sets the value of the wmEffectiveDate property.
    `java.lang.String` | `toString()`
    `CfgAgentContract` | `withWmContractId(int value)`
    `CfgAgentContract` | `withWmEffectiveDate(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmContractId

          protected int wmContractId

      Contract ID (`CfgContract`). Can be zero, representing agent with no contract assigned.

    - #### wmEffectiveDate

          protected double wmEffectiveDate

      Contract effective date (`OleDateTime`)

  - ### Constructor Detail

    - #### CfgAgentContract

          public CfgAgentContract()

  - ### Method Detail

    - #### getWmContractId

          public int getWmContractId()

      Gets the value of the wmContractId property.

    - #### setWmContractId

          public void setWmContractId(int value)

      Sets the value of the wmContractId property.

    - #### getWmEffectiveDate

          public double getWmEffectiveDate()

      Gets the value of the wmEffectiveDate property.

    - #### setWmEffectiveDate

          public void setWmEffectiveDate(double value)

      Sets the value of the wmEffectiveDate property.

    - #### withWmContractId

          public CfgAgentContract withWmContractId(int value)

    - #### withWmEffectiveDate

          public CfgAgentContract withWmEffectiveDate(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.